Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined
Summary: Incorrect "Loading..." tag on moremember.tt when no clubs defined
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 12461
Blocks: 18559
  Show dependency treegraph
 
Reported: 2017-05-05 21:19 UTC by Nick Clemens
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined (1.14 KB, patch)
2017-05-05 21:22 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined (1.19 KB, patch)
2017-05-06 03:00 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined (1.27 KB, patch)
2017-05-08 15:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18553 - Incorrect Loading... tag on circulation.tt when no clubs defined (1.04 KB, patch)
2017-05-08 15:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-05-05 21:19:27 UTC

    
Comment 1 Nick Clemens 2017-05-05 21:22:20 UTC
Created attachment 63215 [details] [review]
Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined

To test:
1 - Have no clubs
2 - View Details tab for a patron
3 - Note the 'Loading' tag near the tabs
4 - Apply patch
5 - Load patron details and notice 'Loading' is gone
6 - Add a club and verify tab shows as expected
Comment 2 M. Tompsett 2017-05-06 03:00:00 UTC
Created attachment 63216 [details] [review]
Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined

To test:
1 - Have no clubs
2 - View Details tab for a patron
3 - Note the 'Loading' tag near the tabs
4 - Apply patch
5 - Load patron details and notice 'Loading' is gone
6 - Add a club and verify tab shows as expected

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-05-08 15:50:05 UTC
Same on circulation.pl
Comment 4 Jonathan Druart 2017-05-08 15:51:16 UTC
(In reply to Jonathan Druart from comment #3)
> Same on circulation.pl

I am going to fix it.
Comment 5 Jonathan Druart 2017-05-08 15:55:43 UTC
Created attachment 63249 [details] [review]
Bug 18553 - Incorrect "Loading..." tag on moremember.tt when no clubs defined

To test:
1 - Have no clubs
2 - View Details tab for a patron
3 - Note the 'Loading' tag near the tabs
4 - Apply patch
5 - Load patron details and notice 'Loading' is gone
6 - Add a club and verify tab shows as expected

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-05-08 15:55:47 UTC
Created attachment 63250 [details] [review]
Bug 18553 - Incorrect Loading... tag on circulation.tt when no clubs defined

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-05-09 11:51:19 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 8 Katrin Fischer 2017-05-14 09:28:55 UTC
Depends on patrons clug feature, which is not in 16.11.x.